> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Upload OTLP Logs to Fileset

POST https://host.com/apis/files/v2/workspaces/{workspace}/filesets/{name}/otlp/v1/logs

Upload OTLP logs to a specified fileset in JSON or Protobuf format.

Supports both application/json and application/x-protobuf content types.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/otlp/upload-otlp-logs-apis-files-v-2-workspaces-workspace-filesets-name-otlp-v-1-logs-post

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/files/v2/workspaces/{workspace}/filesets/{name}/otlp/v1/logs:
    post:
      operationId: >-
        upload-otlp-logs-apis-files-v-2-workspaces-workspace-filesets-name-otlp-v-1-logs-post
      summary: Upload OTLP Logs to Fileset
      description: |-
        Upload OTLP logs to a specified fileset in JSON or Protobuf format.

        Supports both application/json and application/x-protobuf content types.
      tags:
        - subpackage_otlp
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OtelExportLogsServiceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    OtelExportLogsPartialSuccess:
      type: object
      properties:
        rejectedLogRecords:
          type: integer
          default: 0
          description: Number of rejected log records
        errorMessage:
          type: string
          description: Human-readable error message
      description: Partial success response details.
      title: OtelExportLogsPartialSuccess
    OtelExportLogsServiceResponse:
      type: object
      properties:
        partialSuccess:
          $ref: '#/components/schemas/OtelExportLogsPartialSuccess'
      description: >-
        Response for log export requests.


        Per OTLP spec, successful responses should be empty or contain
        partial_success info.
      title: OtelExportLogsServiceResponse
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{
  "resourceLogs": [
    {
      "resource": {
        "attributes": [
          {
            "key": "service.name",
            "value": {
              "stringValue": "order-processing-service"
            }
          },
          {
            "key": "host.name",
            "value": {
              "stringValue": "host-1234"
            }
          }
        ]
      },
      "scopeLogs": [
        {
          "scope": {
            "name": "otel.library",
            "version": "1.2.3"
          },
          "logRecords": [
            {
              "timeUnixNano": "1687507200000000000",
              "severityNumber": 9,
              "severityText": "Info",
              "body": {
                "stringValue": "Order processed successfully"
              },
              "attributes": [
                {
                  "key": "order.id",
                  "value": {
                    "stringValue": "ORD123456"
                  }
                },
                {
                  "key": "customer.id",
                  "value": {
                    "stringValue": "CUST7890"
                  }
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}
```

**Response**

```json
{
  "partialSuccess": {
    "rejectedLogRecords": 0,
    "errorMessage": ""
  }
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/otlp/v1/logs"

payload = { "resourceLogs": [
        {
            "resource": { "attributes": [
                    {
                        "key": "service.name",
                        "value": { "stringValue": "order-processing-service" }
                    },
                    {
                        "key": "host.name",
                        "value": { "stringValue": "host-1234" }
                    }
                ] },
            "scopeLogs": [
                {
                    "scope": {
                        "name": "otel.library",
                        "version": "1.2.3"
                    },
                    "logRecords": [
                        {
                            "timeUnixNano": "1687507200000000000",
                            "severityNumber": 9,
                            "severityText": "Info",
                            "body": { "stringValue": "Order processed successfully" },
                            "attributes": [
                                {
                                    "key": "order.id",
                                    "value": { "stringValue": "ORD123456" }
                                },
                                {
                                    "key": "customer.id",
                                    "value": { "stringValue": "CUST7890" }
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/files/v2/workspaces/workspace/filesets/name/otlp/v1/logs';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"resourceLogs":[{"resource":{"attributes":[{"key":"service.name","value":{"stringValue":"order-processing-service"}},{"key":"host.name","value":{"stringValue":"host-1234"}}]},"scopeLogs":[{"scope":{"name":"otel.library","version":"1.2.3"},"logRecords":[{"timeUnixNano":"1687507200000000000","severityNumber":9,"severityText":"Info","body":{"stringValue":"Order processed successfully"},"attributes":[{"key":"order.id","value":{"stringValue":"ORD123456"}},{"key":"customer.id","value":{"stringValue":"CUST7890"}}]}]}]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/otlp/v1/logs"

	payload := strings.NewReader("{\n  \"resourceLogs\": [\n    {\n      \"resource\": {\n        \"attributes\": [\n          {\n            \"key\": \"service.name\",\n            \"value\": {\n              \"stringValue\": \"order-processing-service\"\n            }\n          },\n          {\n            \"key\": \"host.name\",\n            \"value\": {\n              \"stringValue\": \"host-1234\"\n            }\n          }\n        ]\n      },\n      \"scopeLogs\": [\n        {\n          \"scope\": {\n            \"name\": \"otel.library\",\n            \"version\": \"1.2.3\"\n          },\n          \"logRecords\": [\n            {\n              \"timeUnixNano\": \"1687507200000000000\",\n              \"severityNumber\": 9,\n              \"severityText\": \"Info\",\n              \"body\": {\n                \"stringValue\": \"Order processed successfully\"\n              },\n              \"attributes\": [\n                {\n                  \"key\": \"order.id\",\n                  \"value\": {\n                    \"stringValue\": \"ORD123456\"\n                  }\n                },\n                {\n                  \"key\": \"customer.id\",\n                  \"value\": {\n                    \"stringValue\": \"CUST7890\"\n                  }\n                }\n              ]\n            }\n          ]\n        }\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/otlp/v1/logs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"resourceLogs\": [\n    {\n      \"resource\": {\n        \"attributes\": [\n          {\n            \"key\": \"service.name\",\n            \"value\": {\n              \"stringValue\": \"order-processing-service\"\n            }\n          },\n          {\n            \"key\": \"host.name\",\n            \"value\": {\n              \"stringValue\": \"host-1234\"\n            }\n          }\n        ]\n      },\n      \"scopeLogs\": [\n        {\n          \"scope\": {\n            \"name\": \"otel.library\",\n            \"version\": \"1.2.3\"\n          },\n          \"logRecords\": [\n            {\n              \"timeUnixNano\": \"1687507200000000000\",\n              \"severityNumber\": 9,\n              \"severityText\": \"Info\",\n              \"body\": {\n                \"stringValue\": \"Order processed successfully\"\n              },\n              \"attributes\": [\n                {\n                  \"key\": \"order.id\",\n                  \"value\": {\n                    \"stringValue\": \"ORD123456\"\n                  }\n                },\n                {\n                  \"key\": \"customer.id\",\n                  \"value\": {\n                    \"stringValue\": \"CUST7890\"\n                  }\n                }\n              ]\n            }\n          ]\n        }\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/otlp/v1/logs")
  .header("Content-Type", "application/json")
  .body("{\n  \"resourceLogs\": [\n    {\n      \"resource\": {\n        \"attributes\": [\n          {\n            \"key\": \"service.name\",\n            \"value\": {\n              \"stringValue\": \"order-processing-service\"\n            }\n          },\n          {\n            \"key\": \"host.name\",\n            \"value\": {\n              \"stringValue\": \"host-1234\"\n            }\n          }\n        ]\n      },\n      \"scopeLogs\": [\n        {\n          \"scope\": {\n            \"name\": \"otel.library\",\n            \"version\": \"1.2.3\"\n          },\n          \"logRecords\": [\n            {\n              \"timeUnixNano\": \"1687507200000000000\",\n              \"severityNumber\": 9,\n              \"severityText\": \"Info\",\n              \"body\": {\n                \"stringValue\": \"Order processed successfully\"\n              },\n              \"attributes\": [\n                {\n                  \"key\": \"order.id\",\n                  \"value\": {\n                    \"stringValue\": \"ORD123456\"\n                  }\n                },\n                {\n                  \"key\": \"customer.id\",\n                  \"value\": {\n                    \"stringValue\": \"CUST7890\"\n                  }\n                }\n              ]\n            }\n          ]\n        }\n      ]\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://host.com/apis/files/v2/workspaces/workspace/filesets/name/otlp/v1/logs', [
  'body' => '{
  "resourceLogs": [
    {
      "resource": {
        "attributes": [
          {
            "key": "service.name",
            "value": {
              "stringValue": "order-processing-service"
            }
          },
          {
            "key": "host.name",
            "value": {
              "stringValue": "host-1234"
            }
          }
        ]
      },
      "scopeLogs": [
        {
          "scope": {
            "name": "otel.library",
            "version": "1.2.3"
          },
          "logRecords": [
            {
              "timeUnixNano": "1687507200000000000",
              "severityNumber": 9,
              "severityText": "Info",
              "body": {
                "stringValue": "Order processed successfully"
              },
              "attributes": [
                {
                  "key": "order.id",
                  "value": {
                    "stringValue": "ORD123456"
                  }
                },
                {
                  "key": "customer.id",
                  "value": {
                    "stringValue": "CUST7890"
                  }
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/otlp/v1/logs");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"resourceLogs\": [\n    {\n      \"resource\": {\n        \"attributes\": [\n          {\n            \"key\": \"service.name\",\n            \"value\": {\n              \"stringValue\": \"order-processing-service\"\n            }\n          },\n          {\n            \"key\": \"host.name\",\n            \"value\": {\n              \"stringValue\": \"host-1234\"\n            }\n          }\n        ]\n      },\n      \"scopeLogs\": [\n        {\n          \"scope\": {\n            \"name\": \"otel.library\",\n            \"version\": \"1.2.3\"\n          },\n          \"logRecords\": [\n            {\n              \"timeUnixNano\": \"1687507200000000000\",\n              \"severityNumber\": 9,\n              \"severityText\": \"Info\",\n              \"body\": {\n                \"stringValue\": \"Order processed successfully\"\n              },\n              \"attributes\": [\n                {\n                  \"key\": \"order.id\",\n                  \"value\": {\n                    \"stringValue\": \"ORD123456\"\n                  }\n                },\n                {\n                  \"key\": \"customer.id\",\n                  \"value\": {\n                    \"stringValue\": \"CUST7890\"\n                  }\n                }\n              ]\n            }\n          ]\n        }\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["resourceLogs": [
    [
      "resource": ["attributes": [
          [
            "key": "service.name",
            "value": ["stringValue": "order-processing-service"]
          ],
          [
            "key": "host.name",
            "value": ["stringValue": "host-1234"]
          ]
        ]],
      "scopeLogs": [
        [
          "scope": [
            "name": "otel.library",
            "version": "1.2.3"
          ],
          "logRecords": [
            [
              "timeUnixNano": "1687507200000000000",
              "severityNumber": 9,
              "severityText": "Info",
              "body": ["stringValue": "Order processed successfully"],
              "attributes": [
                [
                  "key": "order.id",
                  "value": ["stringValue": "ORD123456"]
                ],
                [
                  "key": "customer.id",
                  "value": ["stringValue": "CUST7890"]
                ]
              ]
            ]
          ]
        ]
      ]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/otlp/v1/logs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```